org.encog.util.normalize.input

## Class InputFieldCSVText

- java.lang.Object
- - org.encog.util.normalize.input.BasicInputField
  - - org.encog.util.normalize.input.InputFieldCSV
    - - org.encog.util.normalize.input.InputFieldCSVText

- All Implemented Interfaces:
    Serializable, InputField

      public class InputFieldCSVText
      extends InputFieldCSV

  An input field based on a CSV file. This is a text field that is mapped to an integer value. The first text value is mapped to 0, the second to 1, and so on.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputFieldCSVText()` Construct an InputFieldCSVText with the default constructor.
    `InputFieldCSVText(boolean usedForNetworkInput, File file, int offset)` Construct a input field for a CSV file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addMapping(String name)` Add a string mapping.
    `Map<String,Integer>` | `getMappings()`

    - ### Methods inherited from class org.encog.util.normalize.input.InputFieldCSV

      `getFile, getOffset`

    - ### Methods inherited from class org.encog.util.normalize.input.BasicInputField

      `applyMinMax, getCurrentValue, getMax, getMin, getUsedForNetworkInput, getValue, setCurrentValue, setMax, setMin, setUsedForNetworkInput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputFieldCSVText

          public InputFieldCSVText()

      Construct an InputFieldCSVText with the default constructor. This is mainly used for reflection.

    - #### InputFieldCSVText

          public InputFieldCSVText(boolean usedForNetworkInput,
                           File file,
                           int offset)

      Construct a input field for a CSV file.
      Parameters:
        `usedForNetworkInput` - True if this field is used for actual input to the neural network, as opposed to segregation only.
        `file` - The tile to read.
        `offset` - The CSV file column to read.

  - ### Method Detail

    - #### addMapping

          public int addMapping(String name)

      Add a string mapping.
      Parameters:
        `name` - The name of the mapping.
      Returns:
        The index the mapping was assigned to.

    - #### getMappings

          public Map<String,Integer> getMappings()

Copyright © 2014. All Rights Reserved.